<script>
	import toolAll from '@/jsFile/tools.js';
	import requst from '@/jsFile/requst.js';
	export default {
		// 全局域名配置
		globalData:{
			// domainName:'https://hengmei.scdxtc.cn/api/',
			domainName:'https://hm.hmzfyy.cn/api/',
			appletName:'佩丽商城'//小程序名称
		},
		// 优先于show方法
		onLaunch: function() {
			//去除体验版和正式版的所有输出日志
			toolAll.tools.clearClog();
			// 查询状态栏的高度、并设置导航栏的高度
			this.statusBarH();
			// 查询视频是否开启
			toolAll.tools.isVedio();
			// 主题颜色
			// uni.request({
			// 	url: `${this.globalData.domainName}index/mini-program-setting`,
			// 	method: 'GET',
			// 	data: '',
			// 	header: {
			// 		'Content-Type': 'application/json; charset=UTF-8',
			// 		'Authorization': 'Bearer '+uni.getStorageSync('token') || ''
			// 	},
			// 	success: res => {
			// 		// console.log('反的结果===>',res);
			// 		if (res.statusCode == 200) {
			// 			if (res.data.code == 0) {
			// 				uni.setStorageSync('publicColor', res.data.data.mainColor) //#3875F6 #2E8B57
			// 				// uni.setStorageSync('publicColor', '#2E8B57') //#3875F6 #2E8B57
			// 			}
			// 		}
			// 	}
			// }) 
		},
		onShow: function() {
			if(uni.getStorageSync('token')!='') {
				// 开始埋点倒计时
				toolAll.tools.daoTime();
			} 
			//检查当前网络状态
			toolAll.tools.networkStatus();
		},
		onHide: function() {
			//清空埋点倒计时
			toolAll.tools.closeTimer();
			uni.removeStorageSync('isQuan');
			uni.removeStorageSync('quanImg');
			uni.removeStorageSync('quanId');
			uni.removeStorageSync('isQuan');
			uni.removeStorageSync('firstTime');
		}
	};
</script>

<style>
	/*每个页面公共css */
	/* 阿里巴巴矢量图标库 start */
	@import url("./commons/icon-font.css");
	/* 阿里巴巴矢量图标库 end */
	
	/* 项目主体样式 start */
	@import url("./commons/hengmei.css");
	/* 项目主体样式 end */
	
	/* 动画样式 start */
	@import url("./commons/animate.min.css");
	/* 动画样式 end */
	
	page {background-color: rgba(244, 244, 244, 1);}
</style>
